Bug 1264639 - SELinux is preventing xenconsoled from using the 'sys_tty_config' capabilities.
SELinux is preventing xenconsoled from using the 'sys_tty_config' capabilities.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9627c032e57e060aebabcd189ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 13:44 EDT by sudikeru
Modified: 2016-04-14 11:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 11:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sudikeru 2015-09-19 13:44:39 EDT
Description of problem:
Start Fedora 22 with Xen
SELinux is preventing xenconsoled from using the 'sys_tty_config' capabilities.

*****  Plugin catchall (100. confidence) suggests   **************************

If вы считаете, что xenconsoled следует разрешить доступ sys_tty_config по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
чтобы разрешить доступ, выполните:
# grep xenconsoled /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xenconsoled_t:s0
Target Context                system_u:system_r:xenconsoled_t:s0
Target Objects                Unknown [ capability ]
Source                        xenconsoled
Source Path                   xenconsoled
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.13.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.6-201.fc22.x86_64 #1 SMP Fri
                              Sep 4 17:49:24 UTC 2015 x86_64 x86_64
Alert Count                   3
First Seen                    2015-09-19 02:42:19 MSK
Last Seen                     2015-09-19 20:01:11 MSK
Local ID                      1bfb875f-92da-4a40-bfaa-5ff7aef25b14

Raw Audit Messages
type=AVC msg=audit(1442682071.104:100): avc:  denied  { sys_tty_config } for  pid=671 comm="xenconsoled" capability=26  scontext=system_u:system_r:xenconsoled_t:s0 tcontext=system_u:system_r:xenconsoled_t:s0 tclass=capability permissive=0


Hash: xenconsoled,xenconsoled_t,xenconsoled_t,capability,sys_tty_config

Version-Release number of selected component:
selinux-policy-3.13.1-128.13.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-201.fc22.x86_64
type:           libreport
Comment 1 sudikeru 2015-10-12 17:20:47 EDT
Description of problem:
Start Fedora 22 with xen

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.10-200.fc22.x86_64
type:           libreport
Comment 2 sudikeru 2015-10-19 04:10:29 EDT
Description of problem:
Start virtual machine on Fedora 22 with xen

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 3 sudikeru 2015-10-19 04:39:07 EDT
Description of problem:
Start Fedora 22 with xen

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 4 sudikeru 2015-10-19 14:31:54 EDT
Description of problem:
Start virtual machine on Fedora with xen

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 5 Cole Robinson 2016-04-14 11:55:58 EDT
Despite multiple attempts across multiple bugs sudikeru@freeletter.me hasn't responded to NEEDINFO and infact the mail address bounces. Closing this as INSUFFICIENT_DATA

Note You need to log in before you can comment on or make changes to this bug.